%define name 	epic4
%define version 2.1.1
%define release 1mdk

%define help_version 4pre2.003

Summary: 	Another popular Unix IRC client
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Networking/IRC
License: 	BSD
URL: 		http://www.epicsol.org/
Source0: 	ftp://ftp.burken.nu/pub/irc/clients/epic/EPIC4/EPIC4/EPIC4-PRODUCTION/%{name}-%{version}.tar.bz2
Source1: 	ircii-EPIC%{help_version}-help.tar.bz2
Source2: 	epic.wmconfig
Source3: 	ircII.servers
#Patch0: 	epic4-rpmv3.patch.bz2
#Patch1: 	epic4-rpm.patch.bz2
#Patch2:	%{name}-1.0.1-gcc33.patch.bz2
Buildrequires:	ncurses-devel termcap-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes: 	ircii-EPIC4
Provides:	ircii-EPIC4
Obsoletes: 	epic-help epic
Provides:	epic-help epic

%description
EPIC is the (E)nhanced (P)rogrammable (I)RC-II (C)lient.  It
is a program used to connect to IRC servers around the globe
so that the user can ``chat'' with others.

%prep 
%setup -q -n %{name}-%{version} -a 1 -T -b 0
#%patch0 -p0
#%patch1 -p1
#%patch2 -p1
rm -rf `find -type d -name CVS`

%build
%configure \
        --with-sharedir=%{_datadir} \
        --with-libexecdir=%{_prefix}/libexec
%make wserv_exe="%{_prefix}/libexec"


%install
rm -rf $RPM_BUILD_ROOT

%{makeinstall} installhelp sharedir=$RPM_BUILD_ROOT%{_datadir} libexecdir=$RPM_BUILD_ROOT%{_prefix}/libexec

install -d $RPM_BUILD_ROOT%{_mandir}/man1 \
	   $RPM_BUILD_ROOT%{_libdir}/menu 


install -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/epic


# (mandrake) menu support
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(epic4): longtitle="EPIC is the (E)nhanced (P)rogrammable (I)RC-II (C)lient." \
command="epic" title="Epic" needs="text"  \
section="Internet/Instant messaging" \
icon="irc_section.png" 
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL UPDATES KNOWNBUGS BUG_FORM doc/*
%{_bindir}/*
%{_prefix}/libexec/*
%dir %{_datadir}/epic
%config(noreplace) %{_datadir}/epic/ircII.servers
%{_datadir}/epic/script/
%{_datadir}/epic/help/
%{_mandir}/man1/*
%{_menudir}/%{name}

%changelog
* Thu Nov 11 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.1.1-1mdk
- 2.1.1
- drop P1 & P2 (fixed upstream)

* Thu May 06 2004 Michael Scherer <misc@mandrake.org> 1.0.1-7mdk 
- change Group

* Tue Apr 27 2004 Michael Scherer <misc@mandrake.org> 1.0.1-6mdk 
- [DIRM]
- removed useless messages ( ftp no longer valid )
- rpmbuildupdate aware
- correct rpmlint warnings

* Sun Jul 13 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.0.1-5mdk
- use double %%'s in changelog to avoid possible conflicts if we were to
  build debug packages
_ %%configure in %%build, not %%prep
- don't rm -rf $RPM_BUILD_ROOT in %%prep
- really quiet setup
- fix gcc-3.3 build (P2 from rawhide)
- drop unapplied P0
- fix License
- rm CVS stuff
- fix menu item
- fix path to wserv

* Tue Apr 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-4mdk
- adjust buildrequires

* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-3mdk
- rebuild

* Thu Aug 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-2mdk
- rebuild

* Thu Jul 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- updated to 1.0.1

* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.7-3mdk
- rebuild

* Fri Sep 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.7-2mdk
- build release

* Sun Aug 20 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.9.7-1mdk
- bzipped patches
- changes in %%patch 
	- Brian Bruns <bruns@magenet.com>
	- Merge back into MageNet release with all the better updates and such
	  (thanks to the guys at Mandrake!)
	- Made sure critical patch is in this one

* Thu Aug 17 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.9.5-1mdk
- mandrake release
- macroszification

* Fri Jul 14 2000 Brian Bruns <bruns@magenet.com>
- Fix name and version (epic4 is the actual name of the program)
- New version

* Mon Jul 10 2000 Brian Bruns <bruns@magenet.com>
- Build for MageNet Linux Server 2.0
- GZip help files

* Sun Jul 09 2000 Brian Bruns <bruns@magenet.com>
- Rebuild for Magenet Linux 1.99

* Fri Apr 21 2000 Brian Bruns <bruns@magenet.com>
- You know, I need to really check better to make sure I dont
  build bad RPMS.  The last build required libsafe.so.1.  This one
  doesn't.

* Fri Apr 21 2000 Brian Bruns <bruns@magenet.com>
- Update to 2.508

* Fri Apr 14 2000 Brian Bruns <bruns@magenet.com>
- help.c patch

* Mon Mar 27 2000 Brian Bruns <bruns@magenet.com>
- Update to 2.507

* Sat Mar 25 2000 Brian Bruns <bruns@Magenet.com>
- Update to 2.506

* Tue Mar 07 2000 Brian Bruns <bruns@magenet.com>
- Rebuild in prep for MageNet Linux Release 1.0

* Fri Feb 11 2000 Brian Bruns <bruns@magenet.com>
- pre4-2.505 update

* Thu Feb 10 2000 Brian Bruns <bruns@magenet.com>
- Recompile and strip the bins

* Sun Jan 02 2000 Brian Bruns <bruns@magenet.com>
- epic4-2000 version

* Thu Dec 30 1999 Brian Bruns <bruns@magenet.com>
- Recompiled and adjusted for changes in EFNet's servers

* Tue Dec 28 1999 Brian Bruns <bruns@magenet.com>
- 2.504 version

* Mon Dec 06 1999 Brian Bruns <bruns@magenet.com>
- 2.503 version
- Bug fix in names.c

* Fri Dec 03 1999 Brian Bruns <bruns@magenet.com>
- 2.502 version

* Thu Dec 02 1999 Brian Bruns <bruns@magenet.com>
- 2.500 and patch
- Killed the socks5 rpm - that was pointless

* Tue Nov 30 1999 Brian Bruns <bruns@magenet.com>
- New rpm patch and configure with socks support (in the socks5 epic rpm
  located at ftp://ftp.magenet.com)

* Tue Nov 30 1999 Brian Bruns <bruns@Magenet.com>
- 2.400 version

* Sat Nov 27 1999 Brian Bruns <bruns@magenet.com>
- Got bored, so updated ircII.servers with better list

* Tue Nov 16 1999 Brian Bruns <bruns@magenet.com>
- 2.300 version

* Fri Nov 12 1999 Brian Bruns <bruns@magenet.com>
- 2.200 version

* Tue Nov 9 1999 Brian Bruns <bruns@magenet.com>
- 2.100 version

* Wed Nov 3 1999 Brian Bruns <bruns@magenet.com>
- Updated to latest snapshot

* Thu Oct 21 1999 Brian Bruns <bruns@magenet.com>
- Updated to latest snapshot

* Mon Sep 27 1999 Brian Bruns <bruns@magenet.com>
- Updated to latest snapshot

* Thu Sep 9 1999 Brian Bruns <bruns@magenet.com>
- Updated to latest snapshot and removed uniq patch

* Fri Sep 3 1999 Brian Bruns <bruns@magenet.com>
- Updated to latest snapshot & removed uniq() patch

* Tue Aug 31 1999 Brian Bruns <bruns@magenet.com>
- Updated to latest snapshot and added uniq() bugfix

* Sun Jul 19 1999 Brian Bruns <bruns@magenet.com>
- Updated to latest snapshot

* Fri Jun 18 1999 Brian Bruns <bruns@magenet.com>
- Updated to latest snapshot

* Wed Jun 16 1999 Brian Bruns <bruns@magenet.com>
- Update to DIVX-IS-DEAD-COMMEMORATIVE-SILVER-EDITION
- Remove the help patch

* Fri Jun 11 1999 Brian Bruns <bruns@magenet.com>
- Special patch to fix help window bug

* Wed Jun 9 1999 Brian Bruns <bruns@magenet.com>
- Updated to latest snapshot

* Fri May 28 1999 Brian Bruns <bruns@magenet.com>
- Merged all the patches into one
- Updated to latest snapshot

* Thu May 13 1999 Brian Bruns <bruns@magenet.com>
- Patch to fix makefile.in ln to mv

* Tue May 11 1999 Brian Bruns <bruns@magenet.com>
- New help files

* Sat May 8 1999 Brian Bruns <bruns@magenet.com>
- Upgraded to 2.004-19990507
- Fixed symlink problem

* Sat Apr 10 1999 Brian Bruns <bruns@magenet.com>
- Merged the help package into the main epic rpm
- Upgraded to 2.004 with the 2 patches

* Fri Mar 19 1999 Brian Bruns <bruns@magenet.com>
- Upgraded to 4pre2.003
- Changed the directories around to fit the new style

* Thu Sep 17 1998 Manoj Kasichainula <manojk+rpm@io.com>
- Added one more bugfix patch
- twiddled around with install procedure (current dev versions require this
  change)
- Fixed install attribute problems
- Twiddled with ircII.servers file

* Thu Aug 18 1998 Manoj Kasichainula <manojk+rpm@io.com>
- Updated prog and help to 4pre2
- renamed to epic, since the web page doesn't call it ircii-epic.
- Use %%defattr
- Changed server list, since current one seems out of date
- Other minor changes

* Sun May 17 1998 Manoj Kasichainula <manojk+rpm@io.com>
- Added help package (though a bit out of date)
- Uses bz2 file (needs bzip2 now)
- Minor spec file changes

* Sat May  9 1998 Anders Andersson <anders@sanyusan.se>
- Upgraded to pre1.200

* Tue Apr 28 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
- Upgraded to pre1.100
- Build for RH5
- Complex changes of %%install

* Sat Mar 28 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
- Upgraded to pre1.049

* Sat Mar 21 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
- Initial release (pre1.047)
- Small patch to disable loading local-script in global file








